<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:eat="http://msqr.us/xsd/ieat"
	xmlns:xweb="http://msqr.us/xsd/jaxb-web"
	exclude-result-prefixes="eat xweb">
	
    <!-- imports -->
	<xsl:import href="tmpl/default-layout.xsl"/>
	
	<!-- layout variables -->
	<xsl:variable name="layout.global.nav.page" select="'admin-home'"/>
	
	<xsl:template match="xweb:x-data" mode="page-title">
		<xsl:value-of select="key('i18n','admin-home.title')"/>
	</xsl:template>
	
	<xsl:template match="xweb:x-data" mode="page-body">
		<p><xsl:value-of select="key('i18n','admin-home.intro')"/></p>
		
		<dl class="menu">
			<dt>
				<a href="{$web-context}/users.do" title="{key('i18n','link.user.index.title')}">
					<xsl:value-of select="key('i18n','link.user.index')"/>
				</a>
			</dt>
			<dd>
				<xsl:value-of select="key('i18n','link.user.index.explain')"
						 disable-output-escaping="yes"/>
			</dd>

			<dt>
				<a href="{$web-context}/addUser.do" title="{key('i18n','link.user.add.title')}">
					<xsl:value-of select="key('i18n','link.user.add')"/>
				</a>
			</dt>
			<dd>
				<xsl:value-of select="key('i18n','link.user.add.explain')"
						 disable-output-escaping="yes"/>
			</dd>
			
			<dt>
				<a href="{$web-context}/recreateSearchIndex.do" title="{key('i18n','link.reindex.title')}">
					<xsl:value-of select="key('i18n','link.reindex')"/>
				</a>
			</dt>
			<dd>
				<xsl:value-of select="key('i18n','link.reindex.explain')"
						 disable-output-escaping="yes"/>
			</dd>	

			<dt>
				<a href="{$web-context}/setup/lists.do" title="{key('i18n','link.lists.title')}">
					<xsl:value-of select="key('i18n','link.lists')"/>
				</a>
			</dt>
			<dd>
				<xsl:value-of select="key('i18n','link.lists.explain')"
						 disable-output-escaping="yes"/>
			</dd>	

			<dt>
				<a href="{$web-context}/setup/wizard.do" title="{key('i18n','link.setup.title')}">
					<xsl:value-of select="key('i18n','link.setup')"/>
				</a>
			</dt>
			<dd>
				<xsl:value-of select="key('i18n','link.setup.explain')"
						 disable-output-escaping="yes"/>
			</dd>	
		</dl>
	</xsl:template>
    
</xsl:stylesheet>
